get
https://partner-api.yelp.com/program//features/v1
Retrieve available and active features for the specified payment program
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Note
This endpoint returns the program features that are available for the specified program. For each available feature type, the
featuresobject will contain the corresponding feature object as described below. If the program does not support any of the available feature types thefeaturesobject will be empty.
LINK_TRACKING
| Parameter | Type | Required | Description |
|---|---|---|---|
website | string or null | Yes | Tracking URL or parameter(s) for the website link |
menu | string or null | Yes | Tracking URL or parameter(s) for the menu link |
url | string or null | Yes | Tracking URL or parameter(s) for the CTA link |
NEGATIVE_KEYWORD_TARGETING
| Parameter | Type | Required | Description |
|---|---|---|---|
suggested_keywords | list of string | No | List of search terms for which your biz ad might be shown. Please note: This list consists of up to 25 possible keywords where your ad may appear. Those suggestions are based on common searches associated with the business category. The 25 suggestions are not exhaustive, your ad will also appear on searches not shown in the list of suggestions. |
blocked_keywords | list of string | Yes | List of currently blocked keywords. You can use this field to update the list of terms you would like to block. Please note: You are allowed to add custom search terms outside of the suggested keywords list. Suggested keywords list is for guidance purposes. |
STRICT_CATEGORY_TARGETING
| Parameter | Type | Required | Description |
|---|---|---|---|
enabled | bool | Yes |
AD_SCHEDULING
| Parameter | Type | Required | Description |
|---|---|---|---|
uses_opening_hours | bool | Yes | Should the ad only be delivered while the business is open? i.e. if {'uses_opening_hours': true } and the business's hours are 8-5pm, a 6pm search wouldn't be eligible for this ad. |
CUSTOM_LOCATION_TARGETING
| Parameter | Type | Required | Description |
|---|---|---|---|
businesses | list[object] | Yes | List of all businesses that are part of the ad campaign. |
businesses[].business_id | string | Yes | Business ID |
businesses[].locations | list[string] | Yes | List of 0 up to 25 locations. These locations can be zip codes, cities, neighbourhoods, counties or state names but must be within the US. |
AD_GOAL
| Parameter | Type | Required | Description |
|---|---|---|---|
ad_goal | bool | Yes | Must be one of DEFAULT, CALLS, or WEBSITE_CLICKS |
CALL_TRACKING
| Parameter | Type | Required | Description |
|---|---|---|---|
enabled | bool | Yes | Indicates whether call tracking is enabled or disabled on a campaign level. |
businesses | list[object] | Yes | List of all businesses that are part of the ad campaign. |
businesses[].business_id | string | Yes | Business ID |
businesses[].metered_phone_number | string or null | Yes | Phone number which will be used as a call tracking number for the provided business in the ad campaign. |
SERVICE_OFFERINGS_TARGETING
| Parameter | Type | Required | Description |
|---|---|---|---|
disabled_service_offerings | list[string] | Yes | List of all service offerings that are disabled for an ad campaign. For a GET request, this field will be populated with the disabled service offerings for all categories in the ad campaign. For a POST request this field is required and should contain all the service offerings the caller wants to disable for the ad campaign. |
enabled_service_offerings | list[string] | Yes | List of all service offerings that are enabled for an ad campaign. For a GET request, this field will be populated with the enabled service offerings for all categories in the ad campaign. For a POST request, this field can be omitted. |
BUSINESS_HIGHLIGHTS
| Parameter | Type | Required | Description |
|---|---|---|---|
active_business_highlights | list[string] | Yes | Currently active business highlights enabled |
available_business_highlights | list[string] | Yes | Valid business highlights available to select from |
mutually_exclusive_business_highlights | list[list[string]] | Yes | Pairs of business highlights that can't be enabled together |
VERIFIED_LICENSE
| Parameter | Type | Required | |
|---|---|---|---|
licenses[].license_number | string | Yes | License number provided by issuing agency/authority |
licenses[].license_expiry_date | string | No | License expiry date (format YYYY-MM-DD) |
licenses[].license_trade | string | No | Business or trade for which a license was issued |
licenses[].license_issuing_agency | string | No | Agency/authority that issued the license |
licenses[].license_verification_status | string | Yes | License verification status, one of PENDING, VERIFIED or REJECTED |
licenses[].license_verification_failure_reason | string | No | License verification failure reason |
CUSTOM_RADIUS_TARGETING
| Parameter | Type | Required | Description |
|---|---|---|---|
| custom_radius | float | No | Radius in miles (1 to 60) By default, custom_radius is null which means this feature is inactive. |
CUSTOM_AD_TEXT
| Parameter | Type | Required | Description |
|---|---|---|---|
| custom_review_id | string | No | Identifier of the review from which to extract the text. |
| custom_text | string | No | Custom text to be shown. |
*Note: Only one field can be set
By default, this is set to null, which means the ad text is set by Yelp.
CUSTOM_AD_PHOTO
| Parameter | Type | Required | Description |
|---|---|---|---|
| custom_photo_id | string | No | Identifier of the photo to show on the custom ad. |
BUSINESS_LOGO
| Parameter | Type | Required | Description |
|---|---|---|---|
| business_logo_url | string | No | URL to the business's brand logo if in use. In POST, URL must be publicly accessible image file of type: jpeg / png / gif / tiff |
YELP_PORTFOLIO
| Parameter | Type | Required | Description |
|---|---|---|---|
| projects[].project_id | string | Yes | Identifier of a project |
| projects[].published | boolean | Yes | Whether the project is published |
This endpoint is part of the Program Feature API, visit Program Feature API to learn more.
